# Utilizando el contexto

Puedes utilizar la información incluida en el context del trigger dentro del contenido de tus mensajes.

Por ejemplo, para este evento:

```
{
  "trigger_key": "my_custom_event",
  "contact": "contact@domain.com",
  "context": {
    "coupon": "1234"
  }
}
```

Puedes utilizar este código para reemplazar el valor 1234 dentro del asunto o contenido de los emails enviados:

```
Tu cupón de descuento es: ${coupon}
```

Adicionalmente, podrás utlizar toda la información disponible asociada al contacto:

```
${contact.email}
${contact.first_name}
...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.myperfit.com/custom-triggers/utilizando-el-contexto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
